Subject: Re: B20:Trouble Building Java Applications
From: [email-masked] (Weiqi Gao)

27 Nov 1998 14:14:35 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Herbert Gamble wrote:
> 
> Hi,
> 
> I am having trouble building Java programs  in the B20 release.
> 
> Currently I have installed jdk1.1.6 under C:\Java\jdk1.1.6 and
> JFC 1.0.3 under
> C:\Java\swing-1.0.3. I have set all the appropriate environment
> variables to point
> to the correct places such as:

The Windows version of the Sun JDK requires you to set the JDK related
variables the Windows way.  And if you are running bash scripts, you
need to escape the backslash character.

>   HOME                    = /c/home/my_home
===>   JAVA_HOME        = /c/Java/jdk1.1.6
===>  SWING_HOME      = /c/Java/swing-1.0.3
===>  JAVA_CLASSES    = /c/Java/jdk1.1.6/lib/classes.jar
===>  SWING_CLASSES = /c/Java\swing-1.0.3/swingall.jar
===>  CLASSES                = ${HOME}/classes
===>  CLASSPATH           =
===> .:${SWING_CLASSES}:${JAVA_CLASSES}:${CLASSES}:${HOME}

--
Weiqi Gao
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".